package com.usky.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 产品属性附表
 * </p>
 *
 * @author ya
 * @since 2022-10-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DmpProductAttributeAttach implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 属性id
     */
    private Integer attributeId;

    /**
     * 参数值
     */
    private Integer parameterValue;

    /**
     * 参数描述
     */
    private String parameterDescribe;


}
