package com.usky.backend;


import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

/**
 * 系统模块
 * 
 * @author ruoyi
 */


@EnableFeignClients(basePackages = "com.usky")
@MapperScan(value = "com.usky.backend.mapper")
@ComponentScan("com.usky")
@SpringBootApplication
public class BackendApplication
{
    public static void main(String[] args)
    {
        SpringApplication.run(BackendApplication.class, args);
    }
}
