package com.usky.iot.service;

import com.usky.common.mybatis.core.CrudService;
import com.usky.iot.domain.DmpProductAttribute;
import com.usky.iot.domain.DmpProductAttributeAttach;

import java.util.List;


/**
 * <p>
 * 产品属性附表 服务类
 * </p>
 *
 * @author ya
 * @since 2022-10-08
 */
public interface DmpProductAttributeAttachService extends CrudService<DmpProductAttributeAttach> {


    void addBatch(DmpProductAttribute dmpProductAttribute);

    void deleteBatch(DmpProductAttribute dmpProductAttribute);

    List<DmpProductAttributeAttach> listByAttributeIds(List<Integer> attributeIds);
}
